Summary: reconfigure kernel SRPM pakcage and make RPMs.
Summary(ja): カーネルの SRPM パッケージから設定を変更した RPM を作成します
Name: mkkpkg
Version: 2.5.1
Release: 1%{?_dist_release}
Group: Development/Tools
License: distributable
Source0: mkkpkg-%{version}.tar.bz2
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: rpm-build >= 4.0.5
Requires: ncurses-devel
AutoReqProv: no

Vendor: Project Vine
Distribution: Vine Linux
Packager: Daisuke SUZUKI <daisuke@linux.or.jp>

%description
This script generates new recoufigured kernel RPM pakcages from the
kernel SRPM package. You can easily reconfigure kernel and the spec
file.

%description -l ja
このスクリプトは、カーネルの SRPM パッケージから、設定を変更したカーネ
ルの RPM パッケージを作成します。カーネルの設定と spec ファイルを簡単
に変更できます。

%prep
%setup -q

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changelog
%attr(0755,root,root) %{_sbindir}/mkkpkg
%attr(0755,root,root) %{_datadir}/mkkpkg/

%changelog
* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 2.5.1-1vl5
- applied new versioning policy, spec in utf-8

* Thu Aug 09 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.5.1-0vl3
- ARCH=powerpc on ppc (see: [vine-users: 077450])

* Sat Jul 28 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.5.1-0vl2
- changed Group to Development/Tools

* Sun Apr 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.5.1-0vl1
- fix warning message of find command (BTS:31)
- use i586 for default architecture

* Thu Mar 02 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.5.0-0vl1
- move parsespec to %%{_datadir} instead of %%{_libdir}

* Sat Dec 24 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.4-0vl1
- remove nopgp/nogpg option in src.rpm checking.
  (no{pgp,gpg} options were replaced by nosignature, but we should
  start to check GPG signature by default.)

* Fri Jun 24 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.3-0vl1
- support kernel24, kernel26 and kernel >= 2.6
  (thanks to Ryoichi INAGAKI)

* Thu Jul 15 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.2-0vl1
- add Requires: ncurses-devel

* Fri Jun 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.1-0vl1
- fix expansion problem of "${HOME}/rpm"

* Thu Jun 17 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- apply rpm4 support patch from Ryoichi INAGAKI.

* Tue Nov 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.18-0vl1
- support for kernel >= 2.4.18
- read EDITOR to edit specfile
- [security:01127] Re: update: mkkpkg-2.3.18-0vl1

* Sun Mar 03 2002 Toru Sagami <sagami@vinelinux.org>
- 2.3.16

* Tue Jan 29 2002 Toru Sagami <sagami@vinelinux.org>
- 2.3.15

* Mon Feb 19 2001 <sagami@vinelinux.org>
- 2.3.12

* Fri Jan 19 2001 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- 2.3.11

* Tue Dec 19 2000 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- 2.3.9

* Fri Dec 15 2000 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- 2.3.8

* Tue Dec 05 2000 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- 2.3.7
- ad hoc kernel24 support

* Sun Oct 15 2000 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- 2.3.4-0vl1
- Requires: rpm-build >= 3.0.4

* Tue Jul 18 2000 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- 2.3.3-0vl1
- change email address for COPYRIGHT

* Wed Jul 12 2000 Toru Sagami <czs14350@nifty.ne.jp>
- 2.3.2-0vl1

* Sun Apr 30 2000 Toru Sagami <czs14350@nifty.ne.jp>
- 2.3.1
- handle pre preun post postun in parsespec

* Thu Apr 20 2000 Toru Sagami <czs14350@nifty.ne.jp>
- 2.3.0

* Thu Mar 3 2000 Jun Nishii <jun@vinelinux.org>
- 2.2.5

* Tue Feb 29 2000 Jun Nishii <jun@vinelinux.org>
- 2.2.4

* Sun Feb 27 2000 Jun Nishii <jun@vinelinux.org>
- 2.2.3

* Fri Feb 25 2000 Jun Nishii <jun@vinelinux.org>
- 2.2.2

* Fri Feb 25 2000 Jun Nishii <jun@vinelinux.org>
- 2.2.1

* Thu Feb 24 2000 Toru Sagami <czs14350@nifty.ne.jp>
- mkkpkg-2.2
- fixed some bugs
- moved /usr/bin/mkkpkg to /usr/sbin/mkkpkg
- tweaken, using --showrc --rmspec
- dont include packager tag in new spec fine, because rpm will include it
  if defined in rpmmacros

* Sun Jan 30 2000 Jun NISHII <jun@vinelinux.org>
- mkkpkg-2.1

* Mon Jan 10 2000 Jun Nishii <jun@vinelinux.org>
- change group
- prepare parsespec, do not use filelist!

* Thu Oct 28 1999 Jun NISHII <jun@flatout.org>
- merge patch by Yasuhide OOMORI
- do not build kernel-smp, kernel-BOOT, kernel-BOOTsmp
- added kernel-filelist

* Sat Feb 27 1999 MATSUMOTO Shoji <vine@flatout.org>
- first release
